Oore CI
ReferenceAPIOperationsPipelines

List pipelines

List pipelines

Operation IDlist_pipelines
GET
/v1/projects/{project_id}/pipelines

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

project_id*string

Project ID

Query Parameters

search?string

Case-insensitive pipeline name search

sort?string

Sort by created_at or name

direction?string

Sort direction: asc or desc

limit?integer

Page size

Formatint64
offset?integer

Page offset

Formatint64

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/projects/string/pipelines"
{  "pipelines": [    {      "concurrency": {        "cancel_previous": true,        "max_concurrent": 0      },      "config_path": "string",      "config_path_explicit": true,      "created_at": 0,      "enabled": true,      "execution_config": {        "artifact_patterns": [          "string"        ],        "commands": {          "build": [            "string"          ],          "post_build": [            "string"          ],          "pre_build": [            "string"          ]        },        "env": [          {            "key": "string",            "value": "string"          }        ],        "flutter_version": "string",        "platform_build_args": {          "android": [            "string"          ],          "ios": [            "string"          ],          "macos": [            "string"          ]        },        "platform_commands": {          "android": "string",          "ios": "string",          "macos": "string"        },        "platforms": [          "android"        ]      },      "id": "string",      "name": "string",      "project_id": "string",      "trigger_config": {        "branches": [          "string"        ],        "events": [          "string"        ]      },      "updated_at": 0    }  ],  "total": 0}